Name:           dreamchess
Version:        0.3.0
Release:        %mkrel 5
Summary:        DreamChess is a 3D chess user interface
Group:          Games/Boards
License:        GPLv3
URL:            https://www.dreamchess.org/
Source0:        https://github.com/dreamchess/dreamchess/archive/%{version}/%{name}-%{version}.tar.gz
Patch0:         dreamchess-cmake-4.0.patch

BuildRequires:  bison
BuildRequires:  cmake
BuildRequires:  flex
BuildRequires:  pkgconfig(expat)
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(glu)
BuildRequires:  pkgconfig(glew)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(SDL2_image)
BuildRequires:  pkgconfig(SDL2_mixer)
Requires:       dreamer = %{version}-%{release}

%description
DreamChess is an open source chess game. It features 3D OpenGL graphics
and provides various chess board sets, ranging from classic wooden to flat
figurines.

A moderately strong chess engine is included: Dreamer. However, should this
engine be too weak for you, then you can use any other XBoard-compatible
chess engine, including the popular Crafty and GNU Chess.

%files
%doc AUTHORS.txt NEWS.md README.md
%license LICENSE.txt
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_mandir}/man6/%{name}.6*

#----------------------------------------------------------------------------

%package -n     dreamer
Summary:        Dreamer standalone chess engine
Group:          Games/Boards
Recommends:     %{name}

%description -n dreamer
Dreamer is a moderately strong chess engine designed to be used with
the DreamChess user interface. Being XBoard-compatible, you can also use it
independently from DreamChess in the user interface of your choice.

%files -n       dreamer
%{_gamesbindir}/dreamer
%{_mandir}/man6/dreamer.6*

#----------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake -DCMAKE_INSTALL_BINDIR=%{_gamesbindir} \
       -DCMAKE_INSTALL_DATADIR=%{_gamesdatadir}
%cmake_build

%install
%cmake_install

rm -rf %{buildroot}%{_docdir}/DreamChess/


%changelog
* Thu Jul 03 2025 aurr <aurr> 0.3.0-5.mga10
+ Revision: 2244742
- fix build with cmake-4.0
+ umeabot <umeabot>
- Mageia 10 Mass Rebuild

* Mon Apr 04 2022 umeabot <umeabot> 0.3.0-4.mga9
+ Revision: 1843175
- Mageia 9 Mass Rebuild

* Wed Dec 02 2020 luigiwalser <luigiwalser> 0.3.0-3.mga8
+ Revision: 1651344
- rebuild for glew

* Thu Feb 20 2020 umeabot <umeabot> 0.3.0-2.mga8
+ Revision: 1547587
- Mageia 8 Mass Rebuild

* Sun Feb 09 2020 daviddavid <daviddavid> 0.3.0-1.mga8
+ Revision: 1488147
- new version: 0.3.0
- update Source URL
- switch to cmake build system and to sdl2
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Mar 30 2019 daviddavid <daviddavid> 0.2.1-0.rc2.10.mga7
+ Revision: 1381627
- add patch to added compatibility with MXML 3.0

* Sun Sep 23 2018 umeabot <umeabot> 0.2.1-0.rc2.9.mga7
+ Revision: 1297506
- Mageia 7 Mass Rebuild

* Sun Dec 03 2017 daviddavid <daviddavid> 0.2.1-0.rc2.8.mga7
+ Revision: 1180786
- rebuild for new glew 2.1.0

* Fri Aug 18 2017 sander85 <sander85> 0.2.1-0.rc2.7.mga7
+ Revision: 1141465
- Rebuild for new glew

* Sun Feb 14 2016 umeabot <umeabot> 0.2.1-0.rc2.6.mga6
+ Revision: 959850
- Mageia 6 Mass Rebuild

* Mon Aug 24 2015 sander85 <sander85> 0.2.1-0.rc2.5.mga6
+ Revision: 869093
- Rebuild for glew 1.13.0

* Wed Jun 24 2015 akien <akien> 0.2.1-0.rc2.4.mga6
+ Revision: 842003
- Rebuild for GLEW 1.12

* Wed May 27 2015 akien <akien> 0.2.1-0.rc2.3.mga5
+ Revision: 822758
- Add missing BRs (mga#16041)

* Sun Nov 16 2014 akien <akien> 0.2.1-0.rc2.2.mga5
+ Revision: 797495
- Fix desktop categories

* Fri Nov 14 2014 akien <akien> 0.2.1-0.rc2.1.mga5
+ Revision: 797249
- Version 0.2.1 RC2

* Wed Oct 15 2014 umeabot <umeabot> 0.2.1-0.rc1.3.mga5
+ Revision: 746986
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.1-0.rc1.2.mga5
+ Revision: 678860
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Mon May 05 2014 akien <akien> 0.2.1-0.rc1.1.mga5
+ Revision: 620341
- imported package dreamchess

